import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listInfo(query) {
  return request({
    url: '/system/email/info/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getInfo(mailGuid) {
  return request({
    url: '/system/info/' + mailGuid,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addInfo(data) {
  return request({
    url: '/system/email/info',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateInfo(data) {
  return request({
    url: '/system/info',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delInfo(mailGuid) {
  return request({
    url: '/system/info/' + mailGuid,
    method: 'delete'
  })
}

// 导出【请填写功能名称】
export function exportInfo(query) {
  return request({
    url: '/system/info/export',
    method: 'get',
    params: query
  })
}

// 人员选择【请填写功能名称】
export function selectRen(query) {
  return request({
    url: '/system/info/list',
    method: 'get',
    params: query
  })
}

// 查询部门下拉树结构
export function treeselect() {
  return request({
    url: '/system/dept/treeselect',
    method: 'get'
  })
}

// 用户头像上传
export function uploadFujian(data) {
  return request({
    url: '/system/email/info/uploadfile',
    method: 'post',
    data: data
  })
}
